Get workflow rules
curl --request GET \
--url https://cloud.kaneo.app/api/workflow-rule/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.kaneo.app/api/workflow-rule/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.kaneo.app/api/workflow-rule/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"projectId": "<string>",
"integrationType": "<string>",
"eventType": "<string>",
"columnId": "<string>",
"columnName": "<string>",
"columnSlug": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]"<string>""<string>"getWorkflowRules
Get all workflow rules for a project
GET
/
workflow-rule
/
{projectId}
Get workflow rules
Authorizations
API key or session token (Bearer)
Path Parameters
Response
List of workflow rules
The integration that emits the event, e.g. github.
The provider event that triggers the move, e.g. pull_request.opened.
The column tasks are moved to when the event fires.
Was this page helpful?
⌘I